Bug 1732954 - [abrt] mate-settings-daemon: XkbUseExtension(): mate-settings-daemon killed by SIGSEGV
Summary: [abrt] mate-settings-daemon: XkbUseExtension(): mate-settings-daemon killed b...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2ca2dc53e3f443263579cfbeefa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 20:08 UTC by Christian Kujau
Modified: 2019-08-16 07:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-09 07:02:42 UTC


Attachments (Terms of Use)
File: backtrace (52.14 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: cgroup (519 bytes, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: core_backtrace (13.15 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: cpuinfo (1.48 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: dso_list (7.15 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: environ (1.88 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: maps (45.67 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: mountinfo (4.13 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: open_fds (951 bytes, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2019-07-24 20:08 UTC, Christian Kujau
no flags Details
gdb /usr/libexec/mate-settings-daemon (15.88 KB, text/plain)
2019-08-06 05:47 UTC, Christian Kujau
no flags Details

Description Christian Kujau 2019-07-24 20:08:05 UTC
Version-Release number of selected component:
mate-settings-daemon-1.22.0-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/mate-settings-daemon
crash_function: XkbUseExtension
executable:     /usr/libexec/mate-settings-daemon
journald_cursor: s=abf3d882b6ba4ae49aa76017464f5249;i=23db6;b=56a622a68c304b5295f46139d939479d;m=daea51c55;t=58e54a40b2058;x=ff6d5903b20e81d2
kernel:         5.1.18-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XkbUseExtension at XKBUse.c:652
 #1 _XkbLoadDpy at XKBBind.c:513
 #2 XKeysymToKeycode at XKBBind.c:159
 #3 get_keycode_for_keysym_name at msd-xrandr-manager.c:2689
 #4 msd_xrandr_manager_init at msd-xrandr-manager.c:2697
 #5 g_type_create_instance at ../gobject/gtype.c:1864
 #6 g_object_new_internal at ../gobject/gobject.c:1805
 #7 g_object_new_with_properties at ../gobject/gobject.c:1973
 #9 msd_xrandr_manager_new at msd-xrandr-manager.c:2745
 #10 msd_xrandr_plugin_init at msd-xrandr-plugin.c:45

Comment 1 Christian Kujau 2019-07-24 20:08:07 UTC
Created attachment 1593229 [details]
File: backtrace

Comment 2 Christian Kujau 2019-07-24 20:08:07 UTC
Created attachment 1593230 [details]
File: cgroup

Comment 3 Christian Kujau 2019-07-24 20:08:08 UTC
Created attachment 1593231 [details]
File: core_backtrace

Comment 4 Christian Kujau 2019-07-24 20:08:09 UTC
Created attachment 1593232 [details]
File: cpuinfo

Comment 5 Christian Kujau 2019-07-24 20:08:10 UTC
Created attachment 1593233 [details]
File: dso_list

Comment 6 Christian Kujau 2019-07-24 20:08:11 UTC
Created attachment 1593234 [details]
File: environ

Comment 7 Christian Kujau 2019-07-24 20:08:11 UTC
Created attachment 1593235 [details]
File: exploitable

Comment 8 Christian Kujau 2019-07-24 20:08:12 UTC
Created attachment 1593236 [details]
File: limits

Comment 9 Christian Kujau 2019-07-24 20:08:13 UTC
Created attachment 1593237 [details]
File: maps

Comment 10 Christian Kujau 2019-07-24 20:08:14 UTC
Created attachment 1593238 [details]
File: mountinfo

Comment 11 Christian Kujau 2019-07-24 20:08:15 UTC
Created attachment 1593239 [details]
File: open_fds

Comment 12 Christian Kujau 2019-07-24 20:08:15 UTC
Created attachment 1593240 [details]
File: proc_pid_status

Comment 13 Christian Kujau 2019-08-05 04:54:10 UTC
Happened again, and I'm not even using MATE anymore (running a Gnome3 shell right now).


Likely crash reason: Jump to an invalid address
Exploitable rating (0-9 scale): 6

    mate-settings-daemon killed by SIGSEGV

[New LWP 20877]
[New LWP 20889]
[New LWP 20888]
[New LWP 20887]
[New LWP 20886]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/libexec/mate-settings-daemon'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f3aafb7c90f in XInternAtom (dpy=0x55dc04ef9820, name=0x7f3ab09dd576 "ConnectorType", onlyIfExists=0) at IntAtom.c:174
[Current thread is 1 (Thread 0x7f3aaeca05c0 (LWP 20877))]

Thread 1 (Thread 0x7f3aaeca05c0 (LWP 20877)):
#0  0x00007f3aafb7c90f in XInternAtom (dpy=0x55dc04ef9820, name=0x7f3ab09dd576 "ConnectorType", onlyIfExists=0) at IntAtom.c:174
        atom = <optimized out>
        sig = 94403466859504
        idx = -1343170800
        n = 32570
        rep = {type = 0 '\000', pad1 = 0 '\000', sequenceNumber = 0, length = 0, atom = 2950490770, pad2 = 32570, pad3 = 80, pad4 = 0, pad5 = 32, pad6 = 0}
#1  0x00007f3ab09c46f1 in ?? () from /lib64/libmate-desktop-2.so.17
No symbol table info available.
#2  0x00007ffd63d38770 in ?? ()
No symbol table info available.
#3  0xc736cb0ce5fa1700 in ?? ()
No symbol table info available.
#4  0x00007ffd63d38770 in ?? ()
No symbol table info available.
#5  0x000055dc04ee4150 in ?? ()
No symbol table info available.
#6  0x000055dc04f8eda0 in ?? ()
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x7f3a93fff700 (LWP 20889)):
#0  0x00007f3aaffc51c5 in g_variant_type_info_unref (info=0x7f3ab002ebe0 <g_variant_type_info_basic_table+320>) at ../glib/gvarianttypeinfo.c:854
        __FUNCTION__ = "g_variant_type_info_unref"
#1  0x00007f3aaffbd820 in g_variant_unref (value=0x7f3a8c012580) at ../glib/gvariant-core.c:692
        __FUNCTION__ = "g_variant_unref"
        _g_boolean_var_ = <optimized out>
        _g_boolean_var_ = <optimized out>
#2  g_variant_unref (value=0x7f3a8c012580) at ../glib/gvariant-core.c:680
        __FUNCTION__ = "g_variant_unref"
#3  0x00007f3aaffbd8e1 in g_variant_release_children (value=0x7f3a8c012730) at ../glib/gvariant-core.c:265
        i = 1
        __FUNCTION__ = "g_variant_release_children"
#4  0x00007f3aaffbd880 in g_variant_unref (value=0x7f3a8c012730) at ../glib/gvariant-core.c:697
        __FUNCTION__ = "g_variant_unref"
        _g_boolean_var_ = <optimized out>
        _g_boolean_var_ = <optimized out>
#5  g_variant_unref (value=0x7f3a8c012730) at ../glib/gvariant-core.c:680
        __FUNCTION__ = "g_variant_unref"
#6  0x00007f3aaffbd8e1 in g_variant_release_children (value=0x7f3a94032960) at ../glib/gvariant-core.c:265
        i = 0
        __FUNCTION__ = "g_variant_release_children"
#7  0x00007f3aaffbd880 in g_variant_unref (value=0x7f3a94032960) at ../glib/gvariant-core.c:697
        __FUNCTION__ = "g_variant_unref"
        _g_boolean_var_ = <optimized out>
        _g_boolean_var_ = <optimized out>
#8  g_variant_unref (value=value@entry=0x7f3a94032960) at ../glib/gvariant-core.c:680
        __FUNCTION__ = "g_variant_unref"
#9  0x00007f3ab01bcf4e in g_dbus_message_new_from_blob (blob=<optimized out>, blob_len=<optimized out>, capabilities=<optimized out>, error=error@entry=0x7f3a93ffe9f0) at ../gio/gdbusmessage.c:2119
        ret = 0
        mbuf = {len = 80, valid_len = 80, pos = 78, data = 0x7f3a8c002490 "l\002\001\001", byte_order = G_DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN}
        message = 0x7f3a94016d40
        endianness = <optimized out>
        major_protocol_version = <optimized out>
        message_body_len = 0
        headers = 0x7f3a94032960
        item = 0x0
        iter = {x = {139889568065888, 4, 4, 0, 139889567993152, 139890037216988, 94403463909984, 3579507750, 139889567993152, 139889567881520, 1, 139889567966128, 139889567966128, 139890038674899, 139889567966128, 139889567853040}}
        signature = <optimized out>
        __FUNCTION__ = "g_dbus_message_new_from_blob"
#10 0x00007f3ab01c7e35 in _g_dbus_worker_do_read_cb (input_stream=<optimized out>, res=<optimized out>, user_data=user_data@entry=0x7f3a940148b0) at ../gio/gdbusprivate.c:744
        message = <optimized out>
        worker = 0x7f3a940148b0
        error = 0x0
        bytes_read = <optimized out>
#11 0x00007f3ab015cc1a in g_task_return_now (task=0x7f3a9401fe40) at ../gio/gtask.c:1209
No locals.
#12 0x00007f3ab015cc5d in complete_in_idle_cb (task=task@entry=0x7f3a9401fe40) at ../gio/gtask.c:1223
No locals.
#13 0x00007f3aaff7b7db in g_idle_dispatch (source=source@entry=0x7f3a8c012ad0, callback=0x7f3ab015cc50 <complete_in_idle_cb>, user_data=0x7f3a9401fe40) at ../glib/gmain.c:5627
        again = <optimized out>
#14 0x00007f3aaff7eedd in g_main_dispatch (context=0x7f3a940149c0) at ../glib/gmain.c:3189
        dispatch = <optimized out>
        prev_source = 0x0
        was_in_call = <optimized out>
        user_data = 0x7f3a9401fe40
        callback = 0x7f3ab015cc50 <complete_in_idle_cb>
        cb_funcs = 0x7f3ab0051280 <g_source_callback_funcs>
        cb_data = 0x7f3a940337d0
        need_destroy = <optimized out>
        source = 0x7f3a8c012ad0
        current = 0x7f3a8c002470
        i = 1
        __FUNCTION__ = "g_main_dispatch"
#15 g_main_context_dispatch (context=context@entry=0x7f3a940149c0) at ../glib/gmain.c:3854
No locals.
#16 0x00007f3aaff7f270 in g_main_context_iterate (context=0x7f3a940149c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3927
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x7f3a940168f0
#17 0x00007f3aaff7f5a3 in g_main_loop_run (loop=0x7f3a94014ab0) at ../glib/gmain.c:4123
        self = <optimized out>
        __FUNCTION__ = "g_main_loop_run"
#18 0x00007f3ab01c5d6a in gdbus_shared_thread_func (user_data=0x7f3a94014990) at ../gio/gdbusprivate.c:275
        data = 0x7f3a94014990
#19 0x00007f3aaffa84e2 in g_thread_proxy (data=0x55dc04f03990) at ../glib/gthread.c:805
        thread = 0x55dc04f03990
        __FUNCTION__ = "g_thread_proxy"
#20 0x00007f3aaff165a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139889567856384, 3739523673478241498, 139889790793742, 139889790793743, 139889790793888, 139889567853696, -3634313605239431974, -3634357529819505446}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#21 0x00007f3aafe43303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.

Thread 3 (Thread 0x7f3aa0c9b700 (LWP 20888)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
No locals.
#1  0x00007f3aaffcaf56 in g_cond_wait_until (cond=cond@entry=0x55dc04ee0d98, mutex=mutex@entry=0x55dc04ee0d90, end_time=end_time@entry=75000481611) at ../glib/gthread-posix.c:1461
        now = {tv_sec = 74999, tv_nsec = 981611996}
        span = {tv_sec = 0, tv_nsec = 499999004}
        sampled = 0
        res = <optimized out>
        success = <optimized out>
#2  0x00007f3aaff50031 in g_async_queue_pop_intern_unlocked (queue=0x55dc04ee0d90, wait=wait@entry=1, end_time=75000481611) at ../glib/gasyncqueue.c:422
        retval = <optimized out>
        __FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00007f3aaff506d1 in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at ../glib/gasyncqueue.c:574
        end_time = <optimized out>
        __FUNCTION__ = "g_async_queue_timeout_pop_unlocked"
#4  0x00007f3aaffa906a in g_thread_pool_wait_for_new_task (pool=<optimized out>) at ../glib/gthreadpool.c:263
        task = <optimized out>
        task = <optimized out>
#5  g_thread_pool_thread_proxy (data=<optimized out>) at ../glib/gthreadpool.c:297
        task = <optimized out>
        pool = <optimized out>
#6  0x00007f3aaffa84e2 in g_thread_proxy (data=0x55dc04ee0540) at ../glib/gthread.c:805
        thread = 0x55dc04ee0540
        __FUNCTION__ = "g_thread_proxy"
#7  0x00007f3aaff165a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139889782404864, 3739523673478241498, 140726278259742, 140726278259743, 140726278259888, 139889782402176, -3634346193303790374, -3634357529819505446}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#8  0x00007f3aafe43303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.

Thread 4 (Thread 0x7f3aa149c700 (LWP 20887)):
#0  0x00007f3aafe385c7 in __GI___poll (fds=0x55dc04eec350, nfds=1, timeout=24990) at ../sysdeps/unix/sysv/linux/poll.c:29
        resultvar = 1
        sc_cancel_oldtype = 0
        sc_ret = <optimized out>
#1  0x00007f3aaff7f1de in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55dc04eec350, timeout=<optimized out>, context=0x55dc04eec260) at ../glib/gmain.c:4228
        ret = <optimized out>
        errsv = <optimized out>
        poll_func = 0x7f3aaff8ed50 <g_poll>
        poll_func = <optimized out>
        ret = <optimized out>
        errsv = <optimized out>
#2  g_main_context_iterate (context=context@entry=0x55dc04eec260, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3922
        max_priority = 2147483647
        timeout = 24990
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x55dc04eec350
#3  0x00007f3aaff7f313 in g_main_context_iteration (context=context@entry=0x55dc04eec260, may_block=may_block@entry=1) at ../glib/gmain.c:3988
        retval = <optimized out>
#4  0x00007f3ab0aada9d in dconf_gdbus_worker_thread (user_data=0x55dc04eec260) at ../gdbus/dconf-gdbus-thread.c:82
        context = 0x55dc04eec260
#5  0x00007f3aaffa84e2 in g_thread_proxy (data=0x55dc04ee04a0) at ../glib/gthread.c:805
        thread = 0x55dc04ee04a0
        __FUNCTION__ = "g_thread_proxy"
#6  0x00007f3aaff165a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139889790797568, 3739523673478241498, 140726278259742, 140726278259743, 140726278259888, 139889790794880, -3634345093255291686, -3634357529819505446}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#7  0x00007f3aafe43303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.

Thread 5 (Thread 0x7f3aa1c9d700 (LWP 20886)):
#0  0x00007f3aafe385c7 in __GI___poll (fds=0x55dc04ee9680, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
        resultvar = 18446744073709551100
        sc_cancel_oldtype = 0
        sc_ret = <optimized out>
#1  0x00007f3aaff7f1de in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55dc04ee9680, timeout=<optimized out>, context=0x55dc04ee9590) at ../glib/gmain.c:4228
        ret = <optimized out>
        errsv = <optimized out>
        poll_func = 0x7f3aaff8ed50 <g_poll>
        poll_func = <optimized out>
        ret = <optimized out>
        errsv = <optimized out>
#2  g_main_context_iterate (context=context@entry=0x55dc04ee9590, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3922
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x55dc04ee9680
#3  0x00007f3aaff7f313 in g_main_context_iteration (context=0x55dc04ee9590, may_block=may_block@entry=1) at ../glib/gmain.c:3988
        retval = <optimized out>
#4  0x00007f3aaff7f361 in glib_worker_main (data=<optimized out>) at ../glib/gmain.c:5868
No locals.
#5  0x00007f3aaffa84e2 in g_thread_proxy (data=0x55dc04ee0450) at ../glib/gthread.c:805
        thread = 0x55dc04ee0450
        __FUNCTION__ = "g_thread_proxy"
#6  0x00007f3aaff165a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
        ret = <optimized out>
        pd = <optimized out>
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139889799190272, 3739523673478241498, 140726278259374, 140726278259375, 140726278259520, 139889799187584, -3634343995354276646, -3634357529819505446}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
#7  0x00007f3aafe43303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
No locals.
From                To                  Syms Read   Shared Object Library
0x00007f3ab0a77450  0x00007f3ab0a78333  Yes         /lib64/libgmodule-2.0.so.0
0x00007f3ab0a51290  0x00007f3ab0a66208  Yes         /lib64/libdbus-glib-1.so.2
0x00007f3ab09feb10  0x00007f3ab0a2b4e5  No          /lib64/libdbus-1.so.3
0x00007f3ab09b6e10  0x00007f3ab09dac27  No          /lib64/libmate-desktop-2.so.17
0x00007f3ab0325fd0  0x00007f3ab06820cb  Yes         /lib64/libgtk-3.so.0
0x00007f3ab0288a90  0x00007f3ab028af71  Yes         /lib64/libnotify.so.4
0x00007f3ab00ed1f0  0x00007f3ab01f0666  Yes         /lib64/libgio-2.0.so.0
0x00007f3ab0060eb0  0x00007f3ab0092a7e  Yes         /lib64/libgobject-2.0.so.0
0x00007f3aaff4bb30  0x00007f3aaffcb592  Yes         /lib64/libglib-2.0.so.0
0x00007f3aaff14b50  0x00007f3aaff22f15  Yes         /lib64/libpthread.so.0
0x00007f3aafd6a670  0x00007f3aafeb569f  Yes         /lib64/libc.so.6
0x00007f3aafd43270  0x00007f3aafd44039  Yes         /lib64/libdl.so.2
0x00007f3aafca2890  0x00007f3aafd12514  Yes         /lib64/libsystemd.so.0
0x00007f3aafb6c350  0x00007f3aafbf4ed6  Yes         /lib64/libX11.so.6
0x00007f3aafa772b0  0x00007f3aafaf0a6b  Yes         /lib64/libgdk-3.so.0
0x00007f3aafa3c610  0x00007f3aafa41ae6  Yes         /lib64/libpangocairo-1.0.so.0
0x00007f3aaf9fa3d0  0x00007f3aafa1bf74  Yes         /lib64/libpango-1.0.so.0
0x00007f3aaf9cdd50  0x00007f3aaf9db7df  Yes         /lib64/libatk-1.0.so.0
0x00007f3aaf9b9110  0x00007f3aaf9ba27d  Yes         /lib64/libcairo-gobject.so.2
0x00007f3aaf8a6cf0  0x00007f3aaf972587  Yes         /lib64/libcairo.so.2
0x00007f3aaf86ecd0  0x00007f3aaf88547d  Yes         /lib64/libgdk_pixbuf-2.0.so.0
0x00007f3aaf85cab0  0x00007f3aaf860082  Yes         /lib64/libstartup-notification-1.so.0
0x00007f3aaf84e410  0x00007f3aaf854709  Yes         /lib64/libXrandr.so.2
0x00007f3aaf83f6d0  0x00007f3aaf845475  Yes         /lib64/libdconf.so.1
0x00007f3aaf6ff390  0x00007f3aaf79af88  Yes         /lib64/libm.so.6
0x00007f3aaf6db5f0  0x00007f3aaf6eba25  No          /lib64/libgcc_s.so.1
0x00007f3aaf6c84b0  0x00007f3aaf6d2d6b  Yes         /lib64/libXi.so.6
0x00007f3aaf6bf350  0x00007f3aaf6c173a  Yes         /lib64/libXfixes.so.3
0x00007f3aaf695930  0x00007f3aaf6aa692  Yes         /lib64/libatk-bridge-2.0.so.0
0x00007f3aaf67a890  0x00007f3aaf67f5a5  No          /lib64/libwayland-client.so.0
0x00007f3aaf59d230  0x00007f3aaf602f3e  Yes         /lib64/libepoxy.so.0
0x00007f3aaf5222d0  0x00007f3aaf526431  Yes         /lib64/libfribidi.so.0
0x00007f3aaf41dd10  0x00007f3aaf4d79c2  Yes         /lib64/libharfbuzz.so.0
0x00007f3aaf402030  0x00007f3aaf40b6e1  Yes         /lib64/libpangoft2-1.0.so.0
0x00007f3aaf3b8fb0  0x00007f3aaf3dca4e  Yes         /lib64/libfontconfig.so.1
0x00007f3aaf302410  0x00007f3aaf37ef73  Yes         /lib64/libfreetype.so.6
0x00007f3aaf2db5f0  0x00007f3aaf2e8878  Yes         /lib64/libz.so.1
0x00007f3aaf285590  0x00007f3aaf2c02e2  No          /lib64/libmount.so.1
0x00007f3aaf251850  0x00007f3aaf269680  Yes         /lib64/libselinux.so.1
0x00007f3aaf233730  0x00007f3aaf23f610  Yes         /lib64/libresolv.so.2
0x00007f3aaf2262c0  0x00007f3aaf22ad84  Yes         /lib64/libffi.so.6
0x00007f3aaf1b2390  0x00007f3aaf2029bd  Yes         /lib64/libpcre.so.1
0x00007f3ab0ab5110  0x00007f3ab0ad4744  Yes         /lib64/ld-linux-x86-64.so.2
0x00007f3aaf1a6710  0x00007f3aaf1a9ad0  Yes         /lib64/librt.so.1
0x00007f3aaf17e9f0  0x00007f3aaf195986  Yes         /lib64/liblzma.so.5
0x00007f3aaf15e550  0x00007f3aaf17553b  No          /lib64/liblz4.so.1
0x00007f3aaf04a5c0  0x00007f3aaf11851c  Yes         /lib64/libgcrypt.so.20
0x00007f3aaf01fd90  0x00007f3aaf032b69  Yes         /lib64/libxcb.so.1
0x00007f3aaf00f1f0  0x00007f3aaf00fb71  Yes         /lib64/libXinerama.so.1
0x00007f3aaf002bb0  0x00007f3aaf007718  Yes         /lib64/libXcursor.so.1
0x00007f3aaeffb190  0x00007f3aaeffbbe5  Yes         /lib64/libXcomposite.so.1
0x00007f3aaeff61f0  0x00007f3aaeff6b6b  Yes         /lib64/libXdamage.so.1
0x00007f3aaefb7a10  0x00007f3aaefd24ae  Yes         /lib64/libxkbcommon.so.0
0x00007f3aaefaa470  0x00007f3aaefabfa7  No          /lib64/libwayland-cursor.so.0
0x00007f3aaefa5090  0x00007f3aaefa5229  No          /lib64/libwayland-egl.so.1
0x00007f3aaef91770  0x00007f3aaef9b9b3  Yes         /lib64/libXext.so.6
0x00007f3aaef83510  0x00007f3aaef87087  Yes         /lib64/libthai.so.0
0x00007f3aaeee4ab0  0x00007f3aaef675c4  Yes         /lib64/libpixman-1.so.0
0x00007f3aaeea9230  0x00007f3aaeecb785  Yes         /lib64/libpng16.so.16
0x00007f3aaee9f0f0  0x00007f3aaee9fc47  Yes         /lib64/libxcb-shm.so.0
0x00007f3aaee91430  0x00007f3aaee9618c  Yes         /lib64/libxcb-render.so.0
0x00007f3aaee814b0  0x00007f3aaee876a2  Yes         /lib64/libXrender.so.1
0x00007f3aaee793d0  0x00007f3aaee7a1d0  Yes         /lib64/libxcb-util.so.1
0x00007f3aaee72050  0x00007f3aaee7212f  Yes         /lib64/libX11-xcb.so.1
0x00007f3aaee4b950  0x00007f3aaee5e31c  Yes         /lib64/libatspi.so.0
0x00007f3aaee0d3f0  0x00007f3aaee2e151  Yes         /lib64/libgraphite2.so.3
0x00007f3aaede02f0  0x00007f3aaedfb4c7  Yes         /lib64/libexpat.so.1
0x00007f3aaedca530  0x00007f3aaedd71e6  No          /lib64/libbz2.so.1
0x00007f3aaed7de70  0x00007f3aaedb0eb2  No          /lib64/libblkid.so.1
0x00007f3aaed6a610  0x00007f3aaed6e001  No          /lib64/libuuid.so.1
0x00007f3aaecdc490  0x00007f3aaed3ddde  Yes         /lib64/libpcre2-8.so.0
0x00007f3aaecb9cf0  0x00007f3aaeccbd22  Yes         /lib64/libgpg-error.so.0
0x00007f3aaecb03d0  0x00007f3aaecb10a2  Yes         /lib64/libXau.so.6
0x00007f3aaeca7470  0x00007f3aaecaa6c0  Yes         /lib64/libdatrie.so.1
0x00007f3ab0aa84f0  0x00007f3ab0aadd25  Yes         /usr/lib64/gio/modules/libdconfsettings.so
0x00007f3aa034ffb0  0x00007f3aa036b5a2  No          /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f3aa0313f50  0x00007f3aa032b859  No          /usr/lib64/gvfs/libgvfscommon.so
0x00007f3aa02d1b30  0x00007f3aa02d65f9  Yes         /usr/lib64/mate-settings-daemon/libxrandr.so
$1 = 0x0
$2 = 0x0
rax            0x221               545
rbx            0x55dc04ef9820      94403463976992
rcx            0x1                 1
rdx            0x0                 0
rsi            0x7f3ab09dd576      139890047964534
rdi            0x55dc04ef9820      94403463976992
rbp            0x7f3ab09dd576      0x7f3ab09dd576
rsp            0x7ffd63d38680      0x7ffd63d38680
r8             0x1                 1
r9             0x55dc0504e280      94403465372288
r10            0x55dc04ee4188      94403463889288
r11            0xaaaaaaaaaaaaaaab  -6148914691236517205
r12            0x0                 0
r13            0x55dc04f8eda0      94403464588704
r14            0x7ffd63d388a0      140726278260896
r15            0x7f3ab09dd48a      139890047964298
rip            0x7f3aafb7c90f      0x7f3aafb7c90f <XInternAtom+63>
eflags         0x10206             [ PF IF RF ]
cs             0x33                51
ss             0x2b                43
ds             0x0                 0
es             0x0                 0
fs             0x0                 0
gs             0x0                 0
Dump of assembler code for function XInternAtom:
   0x00007f3aafb7c8d0 <+0>:	endbr64 
   0x00007f3aafb7c8d4 <+4>:	push   %r12
   0x00007f3aafb7c8d6 <+6>:	mov    %edx,%r12d
   0x00007f3aafb7c8d9 <+9>:	push   %rbp
   0x00007f3aafb7c8da <+10>:	mov    %rsi,%rbp
   0x00007f3aafb7c8dd <+13>:	push   %rbx
   0x00007f3aafb7c8de <+14>:	mov    %rdi,%rbx
   0x00007f3aafb7c8e1 <+17>:	sub    $0x50,%rsp
   0x00007f3aafb7c8e5 <+21>:	mov    %fs:0x28,%rax
   0x00007f3aafb7c8ee <+30>:	mov    %rax,0x48(%rsp)
   0x00007f3aafb7c8f3 <+35>:	xor    %eax,%eax
   0x00007f3aafb7c8f5 <+37>:	lea    0x8859c(%rip),%rax        # 0x7f3aafc04e98
   0x00007f3aafb7c8fc <+44>:	test   %rsi,%rsi
   0x00007f3aafb7c8ff <+47>:	cmove  %rax,%rbp
   0x00007f3aafb7c903 <+51>:	mov    0x968(%rdi),%rax
   0x00007f3aafb7c90a <+58>:	test   %rax,%rax
   0x00007f3aafb7c90d <+61>:	je     0x7f3aafb7c911 <XInternAtom+65>
=> 0x00007f3aafb7c90f <+63>:	callq  *(%rax)
   0x00007f3aafb7c911 <+65>:	lea    0x18(%rsp),%rcx
   0x00007f3aafb7c916 <+70>:	lea    0x14(%rsp),%r9
   0x00007f3aafb7c91b <+75>:	mov    %r12d,%edx
   0x00007f3aafb7c91e <+78>:	mov    %rbp,%rsi
   0x00007f3aafb7c921 <+81>:	lea    0x10(%rsp),%r8
   0x00007f3aafb7c926 <+86>:	mov    %rbx,%rdi
   0x00007f3aafb7c929 <+89>:	callq  0x7f3aafb7c340 <_XInternAtom>
   0x00007f3aafb7c92e <+94>:	test   %rax,%rax
   0x00007f3aafb7c931 <+97>:	jne    0x7f3aafb7c9c0 <XInternAtom+240>
   0x00007f3aafb7c937 <+103>:	mov    0x988(%rbx),%rax
   0x00007f3aafb7c93e <+110>:	test   %rax,%rax
   0x00007f3aafb7c941 <+113>:	je     0x7f3aafb7c956 <XInternAtom+134>
   0x00007f3aafb7c943 <+115>:	movslq 0x10(%rsp),%rdx
   0x00007f3aafb7c948 <+120>:	lea    (%rax,%rdx,8),%rax
   0x00007f3aafb7c94c <+124>:	cmpq   $0x1,(%rax)
   0x00007f3aafb7c950 <+128>:	je     0x7f3aafb7c9e0 <XInternAtom+272>
   0x00007f3aafb7c956 <+134>:	xor    %edx,%edx
   0x00007f3aafb7c958 <+136>:	lea    0x20(%rsp),%rsi
   0x00007f3aafb7c95d <+141>:	mov    $0x1,%ecx
   0x00007f3aafb7c962 <+146>:	mov    %rbx,%rdi
   0x00007f3aafb7c965 <+149>:	callq  0x7f3aafb6a160 <_XReply@plt>
   0x00007f3aafb7c96a <+154>:	test   %eax,%eax
   0x00007f3aafb7c96c <+156>:	je     0x7f3aafb7c977 <XInternAtom+167>
   0x00007f3aafb7c96e <+158>:	mov    0x28(%rsp),%edx
   0x00007f3aafb7c972 <+162>:	test   %rdx,%rdx
   0x00007f3aafb7c975 <+165>:	jne    0x7f3aafb7c9f0 <XInternAtom+288>
   0x00007f3aafb7c977 <+167>:	mov    0x968(%rbx),%rax
   0x00007f3aafb7c97e <+174>:	test   %rax,%rax
   0x00007f3aafb7c981 <+177>:	je     0x7f3aafb7c989 <XInternAtom+185>
   0x00007f3aafb7c983 <+179>:	mov    %rbx,%rdi
   0x00007f3aafb7c986 <+182>:	callq  *0x8(%rax)
   0x00007f3aafb7c989 <+185>:	mov    0xd0(%rbx),%rax
   0x00007f3aafb7c990 <+192>:	test   %rax,%rax
   0x00007f3aafb7c993 <+195>:	je     0x7f3aafb7c99a <XInternAtom+202>
   0x00007f3aafb7c995 <+197>:	mov    %rbx,%rdi
   0x00007f3aafb7c998 <+200>:	callq  *%rax
   0x00007f3aafb7c99a <+202>:	mov    0x28(%rsp),%eax
   0x00007f3aafb7c99e <+206>:	mov    0x48(%rsp),%rcx
   0x00007f3aafb7c9a3 <+211>:	xor    %fs:0x28,%rcx
   0x00007f3aafb7c9ac <+220>:	jne    0x7f3aafb7ca1f <XInternAtom+335>
   0x00007f3aafb7c9ae <+222>:	add    $0x50,%rsp
   0x00007f3aafb7c9b2 <+226>:	pop    %rbx
   0x00007f3aafb7c9b3 <+227>:	pop    %rbp
   0x00007f3aafb7c9b4 <+228>:	pop    %r12
   0x00007f3aafb7c9b6 <+230>:	retq   
   0x00007f3aafb7c9b7 <+231>:	nopw   0x0(%rax,%rax,1)
   0x00007f3aafb7c9c0 <+240>:	mov    0x968(%rbx),%rdx
   0x00007f3aafb7c9c7 <+247>:	test   %rdx,%rdx
   0x00007f3aafb7c9ca <+250>:	je     0x7f3aafb7c99e <XInternAtom+206>
   0x00007f3aafb7c9cc <+252>:	mov    %rax,0x8(%rsp)
   0x00007f3aafb7c9d1 <+257>:	mov    %rbx,%rdi
   0x00007f3aafb7c9d4 <+260>:	callq  *0x8(%rdx)
   0x00007f3aafb7c9d7 <+263>:	mov    0x8(%rsp),%rax
   0x00007f3aafb7c9dc <+268>:	jmp    0x7f3aafb7c99e <XInternAtom+206>
   0x00007f3aafb7c9de <+270>:	xchg   %ax,%ax
   0x00007f3aafb7c9e0 <+272>:	movq   $0x0,(%rax)
   0x00007f3aafb7c9e7 <+279>:	jmpq   0x7f3aafb7c956 <XInternAtom+134>
   0x00007f3aafb7c9ec <+284>:	nopl   0x0(%rax)
   0x00007f3aafb7c9f0 <+288>:	mov    0x14(%rsp),%r9d
   0x00007f3aafb7c9f5 <+293>:	mov    0x10(%rsp),%r8d
   0x00007f3aafb7c9fa <+298>:	mov    %rbp,%rsi
   0x00007f3aafb7c9fd <+301>:	mov    %rbx,%rdi
   0x00007f3aafb7ca00 <+304>:	mov    0x18(%rsp),%rcx
   0x00007f3aafb7ca05 <+309>:	callq  0x7f3aafb6a960 <_XUpdateAtomCache@plt>
   0x00007f3aafb7ca0a <+314>:	mov    0x968(%rbx),%rax
   0x00007f3aafb7ca11 <+321>:	test   %rax,%rax
   0x00007f3aafb7ca14 <+324>:	jne    0x7f3aafb7c983 <XInternAtom+179>
   0x00007f3aafb7ca1a <+330>:	jmpq   0x7f3aafb7c989 <XInternAtom+185>
   0x00007f3aafb7ca1f <+335>:	callq  0x7f3aafb6a4d0 <__stack_chk_fail@plt>
End of assembler dump.

Comment 14 Wolfgang Ulbrich 2019-08-05 08:03:46 UTC
I have no idea to reproduce the issue because `steps to reproduce` are missing.
I don't get them with my box.

Comment 15 Christian Kujau 2019-08-06 05:40:02 UTC
Although I'm not using MATE at the moment, I had used it before and somehow it seems to be invoked automatically and then crashes. But I can reproduce it reliably now from a Gnome terminal in Gnome 3 -- full GDB log attached.



Thread 1 "mate-settings-d" received signal SIGSEGV, Segmentation fault.
0x00007ffff7101914 in XkbUseExtension (dpy=dpy@entry=0x555555595020, major_rtrn=major_rtrn@entry=0x0, minor_rtrn=minor_rtrn@entry=0x0) at XKBUse.c:652
652     XKBUse.c: No such file or directory.
Missing separate debuginfos, use: dnf debuginfo-install pcre2-10.33-6.fc30.x86_64
(gdb) bt
#0  0x00007ffff7101914 in XkbUseExtension (dpy=dpy@entry=0x555555595020, major_rtrn=major_rtrn@entry=0x0, minor_rtrn=minor_rtrn@entry=0x0) at XKBUse.c:652
#1  0x00007ffff70f84c6 in _XkbLoadDpy (dpy=0x555555595020) at XKBBind.c:513
#2  0x00007ffff70f8dd8 in XKeysymToKeycode (dpy=dpy@entry=0x555555595020, ks=269025113) at XKBBind.c:159
#3  0x00007fffe80111b0 in get_keycode_for_keysym_name (name=0x7fffe801372b "XF86Display") at msd-xrandr-manager.c:2689
#4  msd_xrandr_manager_init (manager=0x5555557a6e80) at msd-xrandr-manager.c:2697
#5  0x00007ffff75a4101 in g_type_create_instance (type=93824993841616) at ../gobject/gtype.c:1864
#6  0x00007ffff758642d in g_object_new_internal (class=class@entry=0x5555556ca760, params=params@entry=0x0, n_params=n_params@entry=0) at ../gobject/gobject.c:1805
#7  0x00007ffff7587b15 in g_object_new_with_properties (object_type=93824993841616, n_properties=0, names=names@entry=0x0, values=values@entry=0x0) at ../gobject/gobject.c:1973
#8  0x00007ffff75886c1 in g_object_new (object_type=<optimized out>, first_property_name=first_property_name@entry=0x0) at ../gobject/gobject.c:1645
#9  0x00007fffe8012549 in msd_xrandr_manager_new () at msd-xrandr-manager.c:2745
#10 0x00007fffe800dcea in msd_xrandr_plugin_init (plugin=<optimized out>) at msd-xrandr-plugin.c:45
#11 0x00007ffff75a4101 in g_type_create_instance (type=93824993116384) at ../gobject/gtype.c:1864
#12 0x00007ffff758642d in g_object_new_internal (class=class@entry=0x555555638470, params=params@entry=0x0, n_params=n_params@entry=0) at ../gobject/gobject.c:1805
#13 0x00007ffff7587b15 in g_object_new_with_properties (object_type=93824993116384, n_properties=0, names=names@entry=0x0, values=values@entry=0x0) at ../gobject/gobject.c:1973
#14 0x00007ffff75886c1 in g_object_new (object_type=<optimized out>, first_property_name=first_property_name@entry=0x0) at ../gobject/gobject.c:1645
#15 0x000055555555bf8c in mate_settings_module_new_object (module=<optimized out>) at mate-settings-module.c:118
#16 0x000055555555b4db in load_plugin_module (info=0x5555557a6d00) at mate-settings-plugin-info.c:365
#17 _activate_plugin (info=0x5555557a6d00) at mate-settings-plugin-info.c:386
#18 mate_settings_plugin_info_activate (info=info@entry=0x5555557a6d00) at mate-settings-plugin-info.c:413
#19 0x000055555555a163 in maybe_activate_plugin (manager=0x555555702c20, info=0x5555557a6d00) at mate-settings-manager.c:96
#20 maybe_activate_plugin (info=0x5555557a6d00, manager=0x555555702c20) at mate-settings-manager.c:85
#21 0x00007ffff74b87a0 in g_slist_foreach (list=<optimized out>, func=func@entry=0x55555555a120 <maybe_activate_plugin>, user_data=user_data@entry=0x555555702c20) at ../glib/gslist.c:864
#22 0x000055555555a321 in _load_all (manager=0x555555702c20) at mate-settings-manager.c:295
#23 mate_settings_manager_start (manager=0x555555702c20, load_init_flag=<optimized out>, error=<optimized out>) at mate-settings-manager.c:374
#24 0x00005555555595e7 in main (argc=<optimized out>, argv=<optimized out>) at main.c:526

Comment 16 Christian Kujau 2019-08-06 05:47:16 UTC
Created attachment 1600835 [details]
gdb /usr/libexec/mate-settings-daemon

Comment 17 Wolfgang Ulbrich 2019-08-06 07:50:32 UTC
Why running mate-settings-daemon under gnome-shell?
This isn't needed. M-s-d needs MATE.
No wonder that it crashes.

Comment 18 Christian Kujau 2019-08-09 02:03:53 UTC
As mentioned above, I _was_ using MATE before, but didn't like it so I switched back to Gnome3. Now sometimes I get a notification that "mate-settings-daemon" crashed, out of the blue and of course I'm not even using MATE any more, so why would "mate-settings-daemon" be started at all? Gnome3 triggering the execution of mate-settings-daemon may be material for another bug, but a crashing application is a bug, no matter how it's started. mate-settings-daemon should not crash, it should bail out early, maybe with an error message because it's running from a Gnome session. Also, I don't really mind the occasional crashes of mate-settings-daemon since I'm not using it any more, but I still felt like reporting it.

Comment 19 Wolfgang Ulbrich 2019-08-09 07:02:42 UTC
Again, you don't need mate-settings-daemon for gnome-shell.
I have no idea why you start this application. Check autostart for gnome or s simply uninstall it.
Sorry, i don't use gnome so i can't reproduce your problems.

Comment 20 Christian Kujau 2019-08-15 19:39:25 UTC
Please read the description more closely, I've explained the same multiple times now - mate-settings-daemon is not started explicitly, and nobody needs mate-settings-daemon for gnome-shell. If segfaults in applications are not important, that's interesting too.


Note You need to log in before you can comment on or make changes to this bug.